Subject: Re: linux-next: build failure after merge of the tty tree

From: Greg KH <[email-masked]>
Date: Thu, 21 Mar 2013 16:47:24 -0700

On Fri, Mar 22, 2013 at 10:28:08AM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Fri, 22 Mar 2013 09:54:23 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Wed, 20 Mar 2013 17:16:28 -0700 Greg KH <[email-masked]> wrote:
> > >
> > > On Wed, Mar 20, 2013 at 11:15:11AM -0400, Bill Pemberton wrote:
> > > > Jiri Slaby writes:
> > > > > 
> > > > > On 03/20/2013 03:42 PM, Bill Pemberton wrote:
> > > > > 
> > > > > Asking Greg to revert should suffice. I commented on that patch, but in
> > > > > a different thread, so Greg missed the comment the patch is not needed
> > > > > IIRC. What was the title of the patch, I cannot find it immediately :/?
> > > > 
> > > > "USB: quatech2: only write to the tty if the port is open." (commit
> > > > 27b351c in v3.9-rc3).
> > > 
> > > I've now reverted this, so it should be ok.
> > 
> > That patch needed to be reverted in your tty tree, not your usb tree
> > since it breaks a patch added to your tty tree (see Subject).
> 
> Except, of course, commit 27b351c is not in your tty tree :-(

Which was causing me lots of confusion :)

I've merged it in there now, and reverted it, so all should be good.

greg k-h